import QtQuick 1.1
import com.nokia.meego 1.0
import QtWebKit 1.0

Page {
    id: page
    tools: commonTools

    property string title : "Kaaba Direction"

    function mapZoomLevel() {
         var z = KdEngine.mapZoomLevel;
         return z;
         }

    function mapTypeId() {
         var t = KdEngine.mapTypeId;
         return t;
         }

    function positionUpdated(lat, lon) {
        if(/*platformWindow.viewMode === WindowState.Fullsize &&*/ mapView != null)
            mapView.evaluateJavaScript("pan("+lat+","+lon+");");
    }

    Connections {
        target: KdEngine;
        onPosUpdated: positionUpdated(lat, lon)
    }

    Image {
        id: pageHeader
        anchors {
            top: page.top
            left: page.left
            right: page.right
        }

        height: parent.width < parent.height ? 72 : 46
        width: parent.width
        source: "image://theme/meegotouch-view-header-fixed" + (theme.inverted ? "-inverted" : "")
        z: 1

        Label {
            id: header
            anchors {
                verticalCenter: parent.verticalCenter
                left: parent.left
                leftMargin: 16
            }
            platformStyle: LabelStyle {
                fontFamily: "Nokia Pure Text Light"
                fontPixelSize: 32
            }
            text: page.title
        }

    }

    Flickable {
        id: pageFlickableContent
        anchors {
            top: pageHeader.bottom
            bottom: page.bottom
            left: page.left
            right: page.right
        }
        contentHeight: mapView.height
        contentWidth: mapView.width
        flickableDirection: Flickable.VerticalFlick
        clip: true

        WebView {
            id: mapView
            url: "../../htmls/gmaps.html"
            preferredWidth: pageFlickableContent.width
            preferredHeight: pageFlickableContent.height
            settings.javascriptEnabled: true;
            scale: 1
            smooth: false

            javaScriptWindowObjects: QtObject {
                WebView.windowObjectName: "qml"
                property int zoom: mapZoomLevel()
                property string maptype: mapTypeId()

                function updateData(zoom, maptype) {
                    KdEngine.mapDataFunc(zoom, maptype);
                    }
            }

            onAlert:{
                KdEngine.qmlMsg(message);
            }
        }
    }

    ScrollDecorator {
        flickableItem: pageFlickableContent
    }
}
