import QtQuick 1.1
import com.nokia.meego 1.0

PageStackWindow {
    id: appWindow
    initialPage: mainPage

    MainPage {
        id: mainPage
    }

    ToolBarLayout {
        id: commonTools

        ToolIcon {
            visible: pageStack.depth > 1
            platformIconId: "toolbar-back"
            onClicked: {
                pageStack.pop();
            }
        }

        ToolIcon {
            iconSource: "../../icons/satellite_40_dis.png"
            onClicked: {
                KdEngine.disableLocation();
            }
        }

        ToolIcon {
            iconSource: "../../icons/satellite_40_hot.png"
            onClicked: {
                KdEngine.enableLocation();
            }
        }

        ToolIcon {
            platformIconId: "toolbar-view-menu"
            anchors.right: parent===undefined ? undefined : parent.right
            onClicked: {
                appWindow.showToolBar = false;
                myMenu.open();
            }
        }
    }

    QueryDialog {
        id: aboutDialog
        titleText: "Kaaba Direction"
        message: "Indicates the direction of Kaaba (Qibla) using Google Maps.\n"
        + "Application downloads maps from internet. Data rates apply!\n\n\n"
        + "Privacy Policy:\nThis Application does not collect or transmits personally "
        + "identifiable information and does not monitor your personal use of the Application.\n\n"
        + "(C) 2012 midupk\nversion 0.0.1"

        acceptButtonText: "Close"
    }

    Menu {
        id: myMenu
        visualParent: pageStack
        MenuLayout {
            MenuItem {
                text: qsTr("Locate")
                onClicked: {
                    KdEngine.enableLocation();
                }
            }
            MenuItem {
                text: qsTr("Disable")
                onClicked: {
                    KdEngine.disableLocation();
                }
            }
            MenuItem {
                text: qsTr("About")
                onClicked: {
                    aboutDialog.open();
                }
            }
        }
        onStatusChanged: {
            if (status === DialogStatus.Closed) {
                appWindow.showToolBar = true;
            }
        }
    }
}
